VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Begin VB.Form frmmain 
   Caption         =   "WillCript"
   ClientHeight    =   5235
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   8190
   Icon            =   "frmmain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5235
   ScaleWidth      =   8190
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox doc1 
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3255
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   4455
   End
   Begin MSComDlg.CommonDialog CmDialog 
      Left            =   1320
      Top             =   3960
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327680
      Max             =   99
      Min             =   4
   End
   Begin VB.Menu mnufile 
      Caption         =   "&File"
      Begin VB.Menu mnunew 
         Caption         =   "&New"
         Shortcut        =   {F2}
      End
      Begin VB.Menu mnuopen 
         Caption         =   "&Open..."
      End
      Begin VB.Menu mnusaveas 
         Caption         =   "&Save As..."
      End
      Begin VB.Menu mnudash 
         Caption         =   "-"
      End
      Begin VB.Menu mnuprint 
         Caption         =   "&Print"
      End
      Begin VB.Menu mnudash3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuexit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnusettings 
      Caption         =   "&Settings"
      Begin VB.Menu mnubackcolor 
         Caption         =   "&Background color..."
      End
      Begin VB.Menu mnufont 
         Caption         =   "&Font and style..."
      End
   End
   Begin VB.Menu encription 
      Caption         =   "&Encryption"
      Begin VB.Menu mnuencode 
         Caption         =   "&Encrypt"
      End
      Begin VB.Menu mnudecode 
         Caption         =   "&Decrypt"
      End
   End
   Begin VB.Menu mnuhelps 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelp 
         Caption         =   "&Help..."
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnutips 
         Caption         =   "&Tip of the Day"
      End
      Begin VB.Menu mnudash4 
         Caption         =   "-"
      End
      Begin VB.Menu mnuabout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmmain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'WillCript
'Began 6-5-1998 finished 14-5-1998
'by William Denniss

Option Explicit
Dim msg As String
Dim X As String
Dim icount As Integer
Dim unsaved As String
Dim responce As String
Dim msgs As String
Dim codes As String
Dim code As Long
Dim file, files As String
Dim fonts, sizes, old, style, character, color As String
Dim bold, italic, underline, strikethru, effects As String
    
Private Sub mnuabout_Click()
    frmAbout.Show
End Sub

Private Sub mnufont_Click()
    On Error GoTo Errorhandler

'set common dialog settings
    CmDialog.Flags = &H12103  'set strikethrough, underline box to on etc
    CmDialog.FontName = doc1.Font
    CmDialog.FontSize = doc1.FontSize
    If doc1.FontBold = False Then CmDialog.FontBold = False
    If doc1.FontItalic = False Then CmDialog.FontItalic = False
    If doc1.FontStrikethru = False Then CmDialog.FontStrikethru = False
    If doc1.FontUnderline = False Then CmDialog.FontUnderline = False
    If doc1.FontBold = True Then CmDialog.FontBold = True
    If doc1.FontItalic = True Then CmDialog.FontItalic = True
    If doc1.FontStrikethru = True Then CmDialog.FontStrikethru = True
    If doc1.FontUnderline = True Then CmDialog.FontUnderline = True
    CmDialog.color = doc1.ForeColor
 
'show common dialog
    CmDialog.CancelError = False
    CmDialog.ShowFont

'change text box settings
    If CmDialog.FontName = "" Then Exit Sub
    If CmDialog.FontBold = True Then doc1.FontBold = True Else doc1.FontBold = False
    If CmDialog.FontItalic = True Then doc1.FontItalic = True Else doc1.FontItalic = False
    If CmDialog.FontStrikethru = True Then doc1.FontStrikethru = True Else doc1.FontStrikethru = False
    If CmDialog.FontUnderline = True Then doc1.FontUnderline = True Else doc1.FontUnderline = False
    doc1.Font = CmDialog.FontName
    doc1.FontSize = CmDialog.FontSize
    doc1.ForeColor = CmDialog.color
    Exit Sub

Errorhandler:
    MsgBox "An error has occured!", 48, "Error"
    Exit Sub
End Sub

Private Sub doc1_Change()
' add * to frmmain.caption to signify a change has been made since saving
    If unsaved = "yes" Then
        frmmain.Caption = frmmain.Caption + " *"
        unsaved = "no"
    End If
End Sub

Private Sub Form_Resize()
'resize text box if the form is resized
    If frmmain.ScaleWidth > 40 Then doc1.Width = frmmain.ScaleWidth - 30
    If frmmain.ScaleHeight > 40 Then doc1.Height = frmmain.ScaleHeight - 30
End Sub

Private Sub mnubackcolor_Click()
'changes the background colour
    On Error GoTo Errorhandler  'goto errorhandler when cancel is pressed
    CmDialog.Flags = &H3
    CmDialog.CancelError = True 'generate an error if cancel is pressed
    CmDialog.color = doc1.BackColor
    CmDialog.ShowColor
    doc1.BackColor = CmDialog.color
    Exit Sub

Errorhandler:
    Exit Sub
End Sub


Private Sub mnuencode_Click()
'Encodes text
    On Error GoTo Errorhandler
    codes = InputBox("Please enter cript index, you must remember this number.", "Encript")
    If codes = "" Or codes = "0" Then Exit Sub 'exit if cancel is pressed
    If IsNumeric(codes) Then
        If codes = Int(codes) Then
            code = Val(codes)
            code = code Mod 256 'reduces numbers over 255
        Else
            'if not an integer...
            MsgBox "The cript index you entered was not a whole number please re-enter", 48, "Not Valid"
            Call mnuencode_Click
        End If
    Else
        'if not a number...
        MsgBox "The cript index you entered was not a whole number please re-enter", 48, "Not Valid"
        Call mnuencode_Click
    End If
    msg = doc1.Text
    doc1.Text = ""
    frmmain.MousePointer = 11 'set mouse pointer to busy
    For icount = 1 To Len(msg)
        X = Mid$(msg, icount, 1)
        If X <> " " And Asc(X) <> 13 And Asc(X) <> 10 Then
            If Asc(X) + code > 255 Or Asc(X) + code < 1 Then
                MsgBox "The cript index used was to large or to small, please try again.", 48, "Error in cript index"
                doc1.Text = msg
                doc1.SetFocus
                frmmain.MousePointer = 0
                Exit Sub
            End If
            doc1.Text = doc1.Text + Chr$(Asc(X) + code)
        Else
            doc1.Text = doc1.Text + X
        End If
        Next icount
    Close
    frmmain.MousePointer = 0 'set mouse pionter to defult
    Exit Sub

Errorhandler:
    frmmain.MousePointer = 0
    MsgBox "Please re-enter cript index", 16, "Cript index not valid"
    Call mnuencode_Click
End Sub

Private Sub mnudecode_Click()
    On Error GoTo Errorhandler
    codes = InputBox("Please enter cript index, you must remember this number.", "cript Index")
    If codes = "" Or codes = "0" Then Exit Sub

'checks cript index
    If IsNumeric(codes) Then
        If codes = Int(codes) Then
            code = Val(codes)
            code = code Mod 256 'reduces code if higher then 255
        Else
            'If not an integer...
            MsgBox "The cript index you entered was not a whole number please re-enter", 48, "Not Valid"
            Call mnudecode_Click
        End If
    Else
        'if not a number
        MsgBox "The cript index you entered was not a whole number please re-enter", 48, "Not Valid"
        Call mnudecode_Click
    End If
    frmmain.MousePointer = 11
    msg = doc1.Text
    doc1.Text = ""
    For icount = 1 To Len(msg)
        X = Mid$(msg, icount, 1) 'gets next character
        If X <> " " And Asc(X) <> 13 And Asc(X) <> 10 Then 'ignores spaces, carriage return and line feed
            If Asc(X) - code > 255 Or Asc(X) - code < 1 Then
                MsgBox "The cript index used was to large or to small, please try again.", 48, "Error in cript index"
                doc1.Text = msg
                doc1.SetFocus
                frmmain.MousePointer = 0
                Exit Sub
            End If
            doc1.Text = doc1.Text + Chr$(Asc(X) - code) 'decripts char
        Else
            doc1.Text = doc1.Text + X
        End If
        Next icount
    Close
    frmmain.MousePointer = 0
    Exit Sub

Errorhandler:
    MsgBox "Please re-enter cript index", 16, "Cript index not valid"
    frmmain.MousePointer = 0
    Call mnudecode_Click
End Sub

Private Sub mnuexit_Click()
'conferm exit
    responce = MsgBox("Are you sure you want to exit", 33, "Exit?")
    If responce = 2 Then Exit Sub
    End
End Sub

Private Sub mnuHelp_Click()
frmhelp.Show
End Sub

Private Sub mnunew_Click()
'creats new file
    doc1.Text = ""
    frmmain.Caption = "WillCript 1.1 - Untitled"
    unsaved = "no"
    doc1.FontName = "Times new roman"
    doc1.FontSize = "12"
    doc1.FontBold = False
    doc1.FontItalic = False
    doc1.FontStrikethru = False
    doc1.FontUnderline = False
End Sub

Private Sub mnusaveas_click()
    On Error GoTo cancel
    CmDialog.CancelError = True
    CmDialog.Flags = &H806 'error checking
    CmDialog.ShowSave 'show save dialog
    msg = doc1.Text
    
'get the type of file eg txt
    file = CmDialog.filename
    files = ""
    For icount = Len(file) - 2 To Len(file)
        files = files + Mid$(file, icount, 1)
    Next icount
    bold = "0"
    italic = "0"
    underline = "0"
    strikethru = "0"

'if file is a *.wcf file add formating
    If files = "wcf" Then
        fonts = doc1.Font
        sizes = doc1.FontSize
        If doc1.FontBold = True Then bold = "1"
        If doc1.FontItalic = True Then italic = "1"
        If doc1.FontUnderline = True Then underline = "1"
        If doc1.FontStrikethru = True Then strikethru = "1"
        effects = bold + italic + underline + strikethru
        msg = msg + effects
        msg = msg + Mid$(sizes, 1, 2)
        fonts = fonts + "|"
        For icount = Len(fonts) To 24
            fonts = fonts + " "  'makes the font length a standed size
        Next icount
        msg = msg + fonts
    End If
    
'saves file
    Open CmDialog.filename For Output As #1
    Print #1, msg  'Writes the contents of Document to the file selected
    Close #1
    frmmain.Caption = "WillCript 1.1 - " & CmDialog.filename
    unsaved = "yes"
    Exit Sub

cancel:
    Exit Sub
End Sub

Private Sub mnuopen_Click()
    old = doc1.Text
    msg = ""
    
'set common dialog box to stop invalid filenames/directories
    CmDialog.Flags = &H1804
    On Error GoTo cancel
    CmDialog.CancelError = True
    CmDialog.ShowOpen 'shows open dialog
    On Error Resume Next
    If CmDialog.filename = "" Then Exit Sub
    Call mnunew_Click
    Open CmDialog.filename For Input As #1     'Opens the file selected
    msg = Input(LOF(1), 1)   'Reads the contents of the file and puts them in Document (courtesy of Danial Anderson)
    Close #1  'Closes the file
    frmmain.Caption = "WillCript 1.1 - " & CmDialog.filename
      
'see if file is a *.wcf file
   file = CmDialog.filename
    files = ""
    For icount = Len(file) - 2 To Len(file)
        files = files + Mid$(file, icount, 1)
    Next icount
    
'If it isn't a *.wcf file...
    If Not files = "wcf" Then
        doc1.Text = msg 'opens file
        If msg = "" Then 'opens a non text file
            Open CmDialog.filename For Input As #1
            Do While Not EOF(1)
                doc1.Text = doc1.Text + Input(1, 1)
            Loop
        Close #1
        unsaved = "yes"
        End If
        Exit Sub
    Else
'If the file is a *.wcf file then opens file with formatting
        On Error GoTo Errorhandler
        Open CmDialog.filename For Input As #1     'Opens the file selected
        msgs = Input(LOF(1) - 33, 1) 'Reads the contents of the file with out the 33 characters reserved for the formatting
        Close #1  'Closes the file
        doc1.Text = msgs
        fonts = ""  'initialises variables
        sizes = ""
        effects = ""
        style = ""
        character = ""
        
'gets formatting information
        For icount = Len(msg) - 32 To Len(msg) - 2
            style = style + Mid$(msg, icount, 1)
        Next icount
        
'Gets font
        icount = 6
        Do While character <> "|"
            icount = icount + 1
            character = Mid$(style, icount, 1)
            If Not character = "|" Then fonts = fonts + character
        Loop
        
'Get size
        For icount = Len(style) - 26 To Len(style) - 25
            sizes = sizes + Mid$(style, icount, 1)
        Next icount
        
'Gets effects such as bold
        bold = Mid$(style, 1, 1)
        italic = Mid$(style, 2, 1)
        underline = Mid$(style, 3, 1)
        strikethru = Mid$(style, 4, 1)
        If bold = "1" Then doc1.FontBold = True Else doc1.FontBold = False
        If italic = "1" Then doc1.FontItalic = True Else doc1.FontItalic = False
        If underline = "1" Then doc1.FontUnderline = True Else doc1.FontUnderline = False
        If strikethru = "1" Then doc1.FontStrikethru = True Else doc1.FontStrikethru = False
        doc1.FontName = fonts
        doc1.FontSize = sizes
    End If
    unsaved = "yes"
    Exit Sub

Errorhandler:
    doc1.Text = ""
    responce = MsgBox("The file you selected is not a WillCript File. Do you want to open it as a text file?", 20, "File is not a valid wcf file")
    If responce = "6" Then
        Open CmDialog.filename For Input As #1     'Opens the file selected
        doc1.Text = Input(LOF(1), 1)   'Reads the contents of the file and puts them in Document (courtesy of Danial Anderson)
        Close #1  'Closes the file
        unsaved = "yes"
        Exit Sub
    Else
        doc1.Text = old
        Exit Sub
    End If
    
cancel:
    Exit Sub
End Sub

Private Sub mnuprint_Click()
'conferm print
    responce = MsgBox("Are you sure you want to print", 33, "Print?")
    If responce = 2 Then Exit Sub
   On Error GoTo Errorhandler  ' Set up error handler.
    msg = doc1.Text

'set printer font, style, size
    Printer.Font = doc1.Font
    If doc1.FontBold = True Then Printer.FontBold = True Else Printer.FontBold = False
    If doc1.FontItalic = True Then Printer.FontItalic = True Else Printer.FontItalic = False
    If doc1.FontStrikethru = True Then Printer.FontStrikethru = True Else Printer.FontStrikethru = False
    If doc1.FontUnderline = True Then Printer.FontUnderline = True Else Printer.FontUnderline = False
    Printer.FontSize = doc1.FontSize
    
'prints file
    Printer.Print msg
    Printer.EndDoc
    Exit Sub

'if an error occured...
Errorhandler:
    MsgBox "While the printing may still continue a printing fault occured", 48, "Printing Error"
    Resume Next
End Sub

Private Sub Form_Load()
'set common dialog filetypes
    CmDialog.Filter = "WillCript Files (*.wcf)|*.wcf|DanCode Files(*.dcs)|*.dcs |Text Files " & _
    "(*.txt)|*.txt|Batch Files (*.bat)|*.bat|All Files (*.*)|*.*"
    Call mnunew_Click
End Sub

Private Sub mnutips_Click()
    frmTip.Show
End Sub
